[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] audit: Log only an info message if audit_level < 2 and audit is not supported



On Mon, Nov 27, 2017 at 07:02 PM +0100, Marc Hartmayer <mhartmay linux vnet ibm com> wrote:
> Replace the error message during startup of libvirtd with an info
> message if audit_level < 2 and audit is not supported by the
> kernel. Audit is not supported by the current kernel if the kernel
> does not have audit compiled in or if audit is disabled (e.g. by the
> kernel cmdline).

Maybe we should also take get_auditfail_action(...) [1] into
consideration to determine what action should be taken when the audit
subsystem is unavailable? This function is available starting with audit
1.2.4.

[1] https://linux.die.net/man/3/get_auditfail_action

[…snip]

--
Beste Grüße / Kind regards
   Marc Hartmayer

IBM Deutschland Research & Development GmbH
Vorsitzende des Aufsichtsrats: Martina Koederitz
Geschäftsführung: Dirk Wittkopp
Sitz der Gesellschaft: Böblingen
Registergericht: Amtsgericht Stuttgart, HRB 243294



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]